IKEv1 vs IKEv2 മുൻകൂട്ടി പങ്കിട്ട കീ ഉപയോഗിച്ച്: പ്രമാണീകരണത്തിൽ എന്താണ് വ്യത്യാസം
രണ്ട് പതിപ്പുകളും കീ അയയ്ക്കാതെ അതിന്റെ അറിവ് തെളിയിക്കുന്നു, പക്ഷേ വ്യത്യസ്ത ഹാഷുകളിലേക്ക് വ്യത്യസ്ത ഇൻപുട്ടുകൾ നൽകുന്നു. രണ്ട് ട്രെയ്സുകൾ താരതമ്യം ചെയ്യുക.
ഒരേ മുൻകൂട്ടി പങ്കിട്ട കീ ഉപയോഗിച്ച് ക്രമീകരിച്ച രണ്ട് ഗേറ്റ്വേകൾ ഒരു ഹാൻഡ്ഷേക്ക് പൂർത്തിയാക്കുന്നു, പാക്കറ്റ് റെക്കോർഡ് കമ്പിയിലൂടെ കടക്കുന്ന ഒരു രഹസ്യവും കാണിക്കുന്നില്ല. അതാണ് ആളുകൾ ഓർക്കുന്ന ഭാഗം. രസകരമായ ഭാഗം, രഹസ്യം അറിയാമെന്ന് തെളിയിക്കാൻ ഓരോ പതിപ്പും യഥാർത്ഥത്തിൽ എന്താണ് കണക്കാക്കുന്നത് എന്നതാണ്, കാരണം IKEv1-ഉം IKEv2-ഉം ആ തെളിവ് വ്യത്യസ്ത ഇൻപുട്ടുകളിൽ നിന്ന് കെട്ടിപ്പടുക്കുന്നു, അത് ചെയ്യുമ്പോൾ വ്യത്യസ്ത വിവരങ്ങൾ വെളിപ്പെടുത്തുന്നു. രണ്ട് ട്രെയ്സുകളും അടുത്തടുത്ത് വായിക്കുക, വ്യത്യാസം ഉപരിപ്ലവമായിരിക്കുന്നത് നിലയ്ക്കും.
തെളിവ് എന്ത് നേടണം
Diffie-Hellman ഇരു കക്ഷികൾക്കും ഒരു പങ്കിട്ട മൂല്യം നൽകുന്നു, അതിന്റെ പൊതു പകുതികൾ നിരീക്ഷിക്കുന്ന ആർക്കും കണക്കാക്കാം. അത് സ്വയം ഐഡന്റിറ്റിയെക്കുറിച്ച് ഒന്നും തെളിയിക്കുന്നില്ല: കീ കൈമാറ്റം പൂർത്തിയാക്കുന്ന ആക്രമണകാരിക്ക് നിങ്ങളുടെ ഗേറ്റ്വേയുടേതിന് സമാനമായ പങ്കിട്ട മൂല്യമുണ്ട്. പ്രമാണീകരണ ഘട്ടം ആ കൈമാറ്റത്തെ ഉദ്ദേശിച്ച കക്ഷികൾക്ക് മാത്രമുള്ള ഒരു രഹസ്യത്തോടും അവർ സമ്മതിച്ച ഐഡന്റിറ്റികളോടും പാരാമീറ്ററുകളോടും ബന്ധിപ്പിക്കാൻ ഉള്ളതാണ്.
ഈ ബന്ധനമാണ് ഹാഷ് കീയേക്കാൾ കൂടുതൽ ഉൾക്കൊള്ളുന്നതിന്റെ കാരണം. അത് രഹസ്യം മാത്രം ഉൾക്കൊണ്ടിരുന്നെങ്കിൽ, ആക്രമണകാരിക്ക് അത് വ്യത്യസ്ത ഐഡന്റിറ്റികളോ നിർദ്ദേശങ്ങളോ ഉള്ള മറ്റൊരു കൈമാറ്റത്തിൽ വീണ്ടും അവതരിപ്പിക്കാമായിരുന്നു.
IKEv1 Main Mode: SKEYID ഉരുത്തിരിക്കുക, പിന്നെ തെളിയിക്കുക
Main Mode ആറ് സന്ദേശങ്ങൾ പ്രവർത്തിപ്പിക്കുന്നു. ആദ്യ ജോടി സുരക്ഷാ അസോസിയേഷനിൽ ചർച്ച നടത്തുന്നു, രണ്ടാമത്തേത് Diffie-Hellman പൊതു മൂല്യങ്ങളും nonce-കളും കൈമാറുന്നു, മൂന്നാമത്തേത് ഇപ്പോൾ സ്ഥാപിച്ച എൻക്രിപ്ഷന് കീഴിൽ ഐഡന്റിറ്റികളും പ്രമാണീകരണ ഹാഷുകളും വഹിക്കുന്നു. RFC 2409 നിർമ്മാണം നിർവചിക്കുന്നു: മുൻകൂട്ടി പങ്കിട്ട കീ പ്രമാണീകരണത്തിൽ SKEYID രഹസ്യത്തിൽ നിന്നും രണ്ട് nonce-കളിൽ നിന്നും ഉരുത്തിരിയുന്നു, തുടർന്നുള്ള കീ മെറ്റീരിയൽ SKEYID, Diffie-Hellman പങ്കിട്ട മൂല്യം, കുക്കികൾ, സ്ഥിരാങ്കങ്ങൾ എന്നിവയിൽ നിന്നും.
അഞ്ചാമത്തെയും ആറാമത്തെയും സന്ദേശങ്ങളിലെ ഹാഷ് Diffie-Hellman മൂല്യം, രണ്ട് കുക്കികൾ, നിർദ്ദേശം, അയച്ചയാളുടെ ഐഡന്റിറ്റി എന്നിവയിൽ SKEYID കീയായി ഉപയോഗിച്ച് കണക്കാക്കുന്നു. സ്വീകർത്താവ് അത് തന്റെ ക്രമീകരിച്ച രഹസ്യം ഉപയോഗിച്ച് വീണ്ടും കണക്കാക്കുന്നു. പൊരുത്തക്കേട് കൈമാറ്റം അവസാനിപ്പിക്കുന്നു, രഹസ്യം തന്നെ ഒരിക്കലും പേലോഡ് ആകുന്നില്ല.
Aggressive Mode അതേ ജോലി മൂന്ന് സന്ദേശങ്ങളിലേക്ക് ചുരുക്കുന്നു, അതായത് എൻക്രിപ്റ്റ് ചെയ്ത ചാനൽ ഉണ്ടാകുന്നതിന് മുമ്പ് ഐഡന്റിറ്റികളും പ്രമാണീകരണ ഹാഷും യാത്ര ചെയ്യുന്നു. ഊഹിക്കാവുന്ന രഹസ്യത്തിന് ഇത് യഥാർത്ഥ വെളിപ്പെടുത്തലാണ്, രഹസ്യം അയച്ചോ എന്ന ചോദ്യത്തിൽ നിന്ന് ഇത് വേറിട്ടതാണ്. IKEv1 RFC 9395 പ്രകാരം കാലഹരണപ്പെട്ടതാണ്, അതിനാൽ പഴയ ട്രെയ്സ് ഒരു ഡയഗ്നോസ്റ്റിക് അഭ്യാസമാണ്, വിന്യാസ ലക്ഷ്യമല്ല.
IKEv2: വ്യത്യസ്ത വ്യുൽപ്പത്തിയും വ്യത്യസ്ത AUTH പേലോഡും
IKEv2 IKEv1-ന്റെ കീ ഷെഡ്യൂൾ വീണ്ടും ഉപയോഗിക്കുന്നില്ല. ആദ്യ IKE കീകൾ nonce-കളിൽ നിന്നും Diffie-Hellman പങ്കിട്ട മൂല്യത്തിൽ നിന്നും നിർമ്മിച്ച വിത്തിൽ നിന്ന് വരുന്നു, ശിശു സുരക്ഷാ അസോസിയേഷനുകൾ അതിൽ നിന്ന് വ്യുൽപ്പന്നമാകുന്നു. മുൻകൂട്ടി പങ്കിട്ട കീ വിത്തിനെ ഒട്ടും പോഷിപ്പിക്കുന്നില്ല.
തുടർന്ന് പ്രമാണീകരണം AUTH പേലോഡായി പ്രത്യക്ഷപ്പെടുന്നു. പങ്കിട്ട കീ പ്രമാണീകരണത്തിന് RFC 7296 രഹസ്യത്തിന്റെ പാഡ് ചെയ്ത രൂപം നിർവചിക്കുന്നു, അത് രഹസ്യം സ്ഥിരമായ സ്ട്രിംഗ് ഉപയോഗിച്ച് ഹാഷ് ചെയ്ത് ലഭിക്കുന്നു Key Pad for IKEv2, തുടർന്ന് ഒപ്പിട്ട കൈമാറ്റ ഡാറ്റയും ഐഡന്റിറ്റിയും ആ പാഡ് ചെയ്ത കീ ഉപയോഗിച്ച് ഹാഷ് ചെയ്യുന്നു. പരിശോധകന് അതേ മൂല്യം വീണ്ടും നിർമ്മിക്കാം; നിരീക്ഷകന് രഹസ്യമില്ലാതെ സാധ്യമല്ല.
എന്താണ് മാറിയതെന്ന് ശ്രദ്ധിക്കുക. IKEv1-ൽ പ്രമാണീകരണ ഹാഷ് ഉണ്ടാകുന്നതിന് മുമ്പേ രഹസ്യം കീ ഷെഡ്യൂളിൽ ചേർത്തിരിക്കുന്നു; IKEv2-ൽ കീ ഷെഡ്യൂൾ രഹസ്യത്തിൽ നിന്ന് സ്വതന്ത്രമാണ്, തെളിവ് ഒപ്പിട്ട ഒക്ടറ്റുകളോട് ബന്ധിപ്പിച്ച പ്രത്യേക പേലോഡാണ്. അതേ ആശയപരമായ ഉറപ്പ്, വ്യത്യസ്ത യന്ത്രം, അതുകൊണ്ടാണ് പാരാമീറ്റർ പേരുകളും റെക്കോർഡുകളും ഒന്നിനൊന്ന് ചേരാത്തത്.
നിരീക്ഷകൻ യഥാർത്ഥത്തിൽ എന്ത് പഠിക്കുന്നു
Diffie-Hellman പൊതു മൂല്യങ്ങൾ, നിർദ്ദേശങ്ങൾ, nonce-കൾ, കുക്കികൾ എന്നിവ രണ്ട് പതിപ്പുകളിലും ദൃശ്യമാണ്. ഐഡന്റിറ്റികൾ IKEv1 Aggressive Mode-ൽ ദൃശ്യമാണ്, മറ്റ് സന്ദർഭങ്ങളിൽ സംരക്ഷിക്കപ്പെടുന്നു. രഹസ്യം ഒരിക്കലും ദൃശ്യമല്ല.
ആ അവസാന വാക്യത്തിന് പറയേണ്ട ഒരു പരിധിയുണ്ട്. ദുർബലവും മനുഷ്യൻ തിരഞ്ഞെടുത്തതുമായ രഹസ്യത്തെ ഊഹിച്ച് ആക്രമിക്കാം: ആക്രമണകാരി ഒരു സ്ഥാനാർത്ഥി രഹസ്യത്തിന് പ്രമാണീകരണ മൂല്യം എന്താകുമെന്ന് കണക്കാക്കി താരതമ്യം ചെയ്യുന്നു. IKEv1 Aggressive Mode ഇത് ഏറ്റവും വിലകുറഞ്ഞതാക്കുന്നു, കാരണം തെളിവ് തുറന്നതാണ്, സ്റ്റാൻഡേർഡുകൾ പൊതുവായി കുറഞ്ഞ എൻട്രോപിയുള്ള രഹസ്യങ്ങളെക്കുറിച്ച് മുന്നറിയിപ്പ് നൽകുന്നു. രഹസ്യം ഒരിക്കലും അയയ്ക്കാതിരിക്കുന്നത് മോശം രഹസ്യത്തെ സുരക്ഷിതമാക്കുന്നതിന് തുല്യമല്ല.
ഈ താരതമ്യത്തോട് എന്ത് ചെയ്യണം
ഓരോ കക്ഷി ജോടിക്കും ഒരു അദ്വിതീയ രഹസ്യം ഉപയോഗിക്കുക, അത് യാദൃച്ഛിക സ്രോതസ്സിൽ നിന്ന് സൃഷ്ടിക്കുക, അത് വിതരണം ചെയ്ത അതേ പ്രൊവിഷനിംഗ് പാതയിലൂടെ മാറ്റുക. രഹസ്യം ഓരോ ശാഖയ്ക്കും അയയ്ക്കുന്ന കോൺഫിഗറേഷൻ ടെംപ്ലേറ്റിലാണെങ്കിൽ, ഒരിടത്തെ ലംഘനം എല്ലായിടത്തെയും ലംഘനമാണ്.
പ്രവർത്തനച്ചെലവ് സ്വീകാര്യമായിടത്ത് സർട്ടിഫിക്കറ്റ് അടിസ്ഥാനമാക്കിയ പ്രമാണീകരണത്തിന് മുൻഗണന നൽകുക, കാരണം അത് പങ്കിട്ട രഹസ്യത്തിന്റെ ഊഹം എന്ന പ്രശ്നം നീക്കുന്നു, ഓരോ കക്ഷിക്കും വ്യത്യസ്ത ഐഡന്റിറ്റി നൽകുന്നു. മുൻകൂട്ടി പങ്കിട്ട കീ തുടരുന്നിടത്ത് അത് നീളമുള്ളതാക്കുക, പരിധി ചുരുക്കുക, IKE പതിപ്പിനെ ഇന്റർഓപ്പറബിലിറ്റി വിശദാംശമല്ല, സുരക്ഷാ തീരുമാനമായി കാണുക.